### Constructor

# GimpUi ZoomPreview new_from_drawable

#### Declaration [src]

    GtkWidget*
    gimp_zoom_preview_new_from_drawable (
      GimpDrawable* drawable
    )

#### Description [src]

Creates a new `GimpZoomPreview` widget for `drawable`.

Available since: | 3.0

#### Parameters

`drawable` | `GimpDrawable`
| A drawable.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GtkWidget`
| A new `GimpZoomPreview`.
| The data is owned by the called function.